package org.springblade.common.enums;

import org.springblade.common.constant.NhConstants;

public class SysType {

    private final String sysType;

    public SysType(String sysType) {
        this.sysType = sysType;
    }

    public String getName() {
        switch (sysType) {
            case NhConstants.SYS_TYPE_GINLONG:
                return "锦浪";
            case NhConstants.SYS_TYPE_GOODWE:
                return "固德威";
            case NhConstants.SYS_TYPE_AISWEI:
                return "爱士惟";
        }
        return "X";
    }

    @Override
    public String toString() {
        return getName();
    }
}
